//******************** (C) COPYRIGHT 2019 SmartLogic*******************************
// FileName           : mailbox.h
// Author             : chenwl, weilu.chen@smartlogictech.com
// Date First Issued  : 2019-03-29 04:00:13 PM
// Last Modified      : 2022-02-07 09:46:05 AM
// Description        :
// ------------------------------------------------------------
// Modification History:
// Version    Date       Author    Modification Description
//
//**********************************************************************************
#ifndef __MAILBOX_H__
#define __MAILBOX_H__


#define MAILBOX0_CFG_BASE     0x04D48000
#define MAILBOX1_CFG_BASE     0x04D4C000


#define MAILBOX0_PRIDATAREG0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*0)))
#define MAILBOX0_PRIDATAREG1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*1)))
#define MAILBOX0_PRIDATAREG2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*2)))
#define MAILBOX0_PRIDATAREG3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*3)))
#define MAILBOX0_PRIDATAREG4                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*4)))
#define MAILBOX0_PRIDATAREG5                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*5)))
#define MAILBOX0_PRIDATAREG6                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*6)))
#define MAILBOX0_PRIDATAREG7                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*7)))
#define MAILBOX0_PRIDATAREG8                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*8)))
#define MAILBOX0_PRIDATAREG9                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*9)))
#define MAILBOX0_PRIDATAREG10               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*10)))
#define MAILBOX0_PRIDATAREG11               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*11)))
#define MAILBOX0_PRIDATAREG12               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*12)))
#define MAILBOX0_PRIDATAREG13               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*13)))
#define MAILBOX0_PRIDATAREG14               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*14)))
#define MAILBOX0_PRIDATAREG15               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*15)))
#define MAILBOX0_PRIDATAREG16               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*16)))
#define MAILBOX0_PRIDATAREG17               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*17)))
#define MAILBOX0_PRIDATAREG18               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*18)))
#define MAILBOX0_PRIDATAREG19               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*19)))
#define MAILBOX0_PRIDATAREG20               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*20)))
#define MAILBOX0_PRIDATAREG21               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*21)))
#define MAILBOX0_PRIDATAREG22               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*22)))
#define MAILBOX0_PRIDATAREG23               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*23)))
#define MAILBOX0_PRIDATAREG24               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*24)))
#define MAILBOX0_PRIDATAREG25               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*25)))
#define MAILBOX0_PRIDATAREG26               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*26)))
#define MAILBOX0_PRIDATAREG27               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*27)))
#define MAILBOX0_PRIDATAREG28               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*28)))
#define MAILBOX0_PRIDATAREG29               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*29)))
#define MAILBOX0_PRIDATAREG30               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*30)))
#define MAILBOX0_PRIDATAREG31               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*31)))
#define MAILBOX0_PRIDATAREG32               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*32)))
#define MAILBOX0_PRIDATAREG33               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*33)))
#define MAILBOX0_PRIDATAREG34               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*34)))
#define MAILBOX0_PRIDATAREG35               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*35)))
#define MAILBOX0_PRIDATAREG36               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*36)))
#define MAILBOX0_PRIDATAREG37               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*37)))
#define MAILBOX0_PRIDATAREG38               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*38)))
#define MAILBOX0_PRIDATAREG39               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*39)))
#define MAILBOX0_PRIDATAREG40               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*40)))
#define MAILBOX0_PRIDATAREG41               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*41)))
#define MAILBOX0_PRIDATAREG42               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*42)))
#define MAILBOX0_PRIDATAREG43               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*43)))
#define MAILBOX0_PRIDATAREG44               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*44)))
#define MAILBOX0_PRIDATAREG45               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*45)))
#define MAILBOX0_PRIDATAREG46               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*46)))
#define MAILBOX0_PRIDATAREG47               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*47)))
#define MAILBOX0_PRIDATAREG48               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*48)))
#define MAILBOX0_PRIDATAREG49               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*49)))
#define MAILBOX0_PRIDATAREG50               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*50)))
#define MAILBOX0_PRIDATAREG51               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*51)))
#define MAILBOX0_PRIDATAREG52               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*52)))
#define MAILBOX0_PRIDATAREG53               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*53)))
#define MAILBOX0_PRIDATAREG54               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*54)))
#define MAILBOX0_PRIDATAREG55               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*55)))
#define MAILBOX0_PRIDATAREG56               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*56)))
#define MAILBOX0_PRIDATAREG57               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*57)))
#define MAILBOX0_PRIDATAREG58               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*58)))
#define MAILBOX0_PRIDATAREG59               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*59)))
#define MAILBOX0_PRIDATAREG60               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*60)))
#define MAILBOX0_PRIDATAREG61               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*61)))
#define MAILBOX0_PRIDATAREG62               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*62)))
#define MAILBOX0_PRIDATAREG63               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*63)))
#define MAILBOX0_PRIDATAREG64               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*64)))
#define MAILBOX0_PRIDATAREG65               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*65)))
#define MAILBOX0_PRIDATAREG66               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*66)))
#define MAILBOX0_PRIDATAREG67               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*67)))
#define MAILBOX0_PRIDATAREG68               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*68)))
#define MAILBOX0_PRIDATAREG69               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*69)))
#define MAILBOX0_PRIDATAREG70               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*70)))
#define MAILBOX0_PRIDATAREG71               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*71)))
#define MAILBOX0_PRIDATAREG72               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*72)))
#define MAILBOX0_PRIDATAREG73               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*73)))
#define MAILBOX0_PRIDATAREG74               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*74)))
#define MAILBOX0_PRIDATAREG75               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*75)))
#define MAILBOX0_PRIDATAREG76               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*76)))
#define MAILBOX0_PRIDATAREG77               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*77)))
#define MAILBOX0_PRIDATAREG78               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*78)))
#define MAILBOX0_PRIDATAREG79               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*79)))
#define MAILBOX0_PRIDATAREG80               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*80)))
#define MAILBOX0_PRIDATAREG81               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*81)))
#define MAILBOX0_PRIDATAREG82               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*82)))
#define MAILBOX0_PRIDATAREG83               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*83)))
#define MAILBOX0_PRIDATAREG84               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*84)))
#define MAILBOX0_PRIDATAREG85               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*85)))
#define MAILBOX0_PRIDATAREG86               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*86)))
#define MAILBOX0_PRIDATAREG87               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*87)))
#define MAILBOX0_PRIDATAREG88               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*88)))
#define MAILBOX0_PRIDATAREG89               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*89)))
#define MAILBOX0_PRIDATAREG90               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*90)))
#define MAILBOX0_PRIDATAREG91               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*91)))
#define MAILBOX0_PRIDATAREG92               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*92)))
#define MAILBOX0_PRIDATAREG93               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*93)))
#define MAILBOX0_PRIDATAREG94               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*94)))
#define MAILBOX0_PRIDATAREG95               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*95)))
#define MAILBOX0_PRIDATAREG96               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*96)))
#define MAILBOX0_PRIDATAREG97               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*97)))
#define MAILBOX0_PRIDATAREG98               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*98)))
#define MAILBOX0_PRIDATAREG99               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*99)))
#define MAILBOX0_PRIDATAREG100              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*100)))
#define MAILBOX0_PRIDATAREG101              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*101)))
#define MAILBOX0_PRIDATAREG102              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*102)))
#define MAILBOX0_PRIDATAREG103              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*103)))
#define MAILBOX0_PRIDATAREG104              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*104)))
#define MAILBOX0_PRIDATAREG105              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*105)))
#define MAILBOX0_PRIDATAREG106              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*106)))
#define MAILBOX0_PRIDATAREG107              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*107)))
#define MAILBOX0_PRIDATAREG108              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*108)))
#define MAILBOX0_PRIDATAREG109              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*109)))
#define MAILBOX0_PRIDATAREG110              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*110)))
#define MAILBOX0_PRIDATAREG111              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*111)))
#define MAILBOX0_PRIDATAREG112              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*112)))
#define MAILBOX0_PRIDATAREG113              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*113)))
#define MAILBOX0_PRIDATAREG114              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*114)))
#define MAILBOX0_PRIDATAREG115              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*115)))
#define MAILBOX0_PRIDATAREG116              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*116)))
#define MAILBOX0_PRIDATAREG117              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*117)))
#define MAILBOX0_PRIDATAREG118              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*118)))
#define MAILBOX0_PRIDATAREG119              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*119)))
#define MAILBOX0_PRIDATAREG120              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*120)))
#define MAILBOX0_PRIDATAREG121              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*121)))
#define MAILBOX0_PRIDATAREG122              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*122)))
#define MAILBOX0_PRIDATAREG123              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*123)))
#define MAILBOX0_PRIDATAREG124              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*124)))
#define MAILBOX0_PRIDATAREG125              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*125)))
#define MAILBOX0_PRIDATAREG126              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*126)))
#define MAILBOX0_PRIDATAREG127              (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*127)))
#define MAILBOX0_NUMREG0                    (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*128)))
#define MAILBOX0_NUMREG1                    (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*129)))
#define MAILBOX0_NUMREG2                    (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*130)))
#define MAILBOX0_NUMREG3                    (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*131)))
#define MAILBOX0_NUMREG4                    (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*132)))
#define MAILBOX0_NUMREG5                    (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*133)))
#define MAILBOX0_NUMREG6                    (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*134)))
#define MAILBOX0_NUMREG7                    (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*135)))
#define MAILBOX0_NUMREG8                    (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*136)))
#define MAILBOX0_NUMREG9                    (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*137)))
#define MAILBOX0_NUMREG10                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*138)))
#define MAILBOX0_NUMREG11                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*139)))
#define MAILBOX0_NUMREG12                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*140)))
#define MAILBOX0_NUMREG13                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*141)))
#define MAILBOX0_NUMREG14                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*142)))
#define MAILBOX0_NUMREG15                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*143)))
#define MAILBOX0_NUMREG16                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*144)))
#define MAILBOX0_NUMREG17                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*145)))
#define MAILBOX0_NUMREG18                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*146)))
#define MAILBOX0_NUMREG19                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*147)))
#define MAILBOX0_NUMREG20                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*148)))
#define MAILBOX0_NUMREG21                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*149)))
#define MAILBOX0_NUMREG22                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*150)))
#define MAILBOX0_NUMREG23                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*151)))
#define MAILBOX0_NUMREG24                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*152)))
#define MAILBOX0_NUMREG25                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*153)))
#define MAILBOX0_NUMREG26                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*154)))
#define MAILBOX0_NUMREG27                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*155)))
#define MAILBOX0_NUMREG28                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*156)))
#define MAILBOX0_NUMREG29                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*157)))
#define MAILBOX0_NUMREG30                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*158)))
#define MAILBOX0_NUMREG31                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*159)))
#define MAILBOX0_NUMREG32                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*160)))
#define MAILBOX0_NUMREG33                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*161)))
#define MAILBOX0_NUMREG34                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*162)))
#define MAILBOX0_NUMREG35                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*163)))
#define MAILBOX0_NUMREG36                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*164)))
#define MAILBOX0_NUMREG37                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*165)))
#define MAILBOX0_NUMREG38                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*166)))
#define MAILBOX0_NUMREG39                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*167)))
#define MAILBOX0_NUMREG40                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*168)))
#define MAILBOX0_NUMREG41                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*169)))
#define MAILBOX0_NUMREG42                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*170)))
#define MAILBOX0_NUMREG43                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*171)))
#define MAILBOX0_NUMREG44                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*172)))
#define MAILBOX0_NUMREG45                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*173)))
#define MAILBOX0_NUMREG46                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*174)))
#define MAILBOX0_NUMREG47                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*175)))
#define MAILBOX0_NUMREG48                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*176)))
#define MAILBOX0_NUMREG49                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*177)))
#define MAILBOX0_NUMREG50                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*178)))
#define MAILBOX0_NUMREG51                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*179)))
#define MAILBOX0_NUMREG52                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*180)))
#define MAILBOX0_NUMREG53                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*181)))
#define MAILBOX0_NUMREG54                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*182)))
#define MAILBOX0_NUMREG55                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*183)))
#define MAILBOX0_NUMREG56                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*184)))
#define MAILBOX0_NUMREG57                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*185)))
#define MAILBOX0_NUMREG58                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*186)))
#define MAILBOX0_NUMREG59                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*187)))
#define MAILBOX0_NUMREG60                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*188)))
#define MAILBOX0_NUMREG61                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*189)))
#define MAILBOX0_NUMREG62                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*190)))
#define MAILBOX0_NUMREG63                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*191)))
#define MAILBOX0_NUMREG64                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*192)))
#define MAILBOX0_NUMREG65                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*193)))
#define MAILBOX0_NUMREG66                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*194)))
#define MAILBOX0_NUMREG67                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*195)))
#define MAILBOX0_NUMREG68                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*196)))
#define MAILBOX0_NUMREG69                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*197)))
#define MAILBOX0_NUMREG70                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*198)))
#define MAILBOX0_NUMREG71                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*199)))
#define MAILBOX0_NUMREG72                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*200)))
#define MAILBOX0_NUMREG73                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*201)))
#define MAILBOX0_NUMREG74                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*202)))
#define MAILBOX0_NUMREG75                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*203)))
#define MAILBOX0_NUMREG76                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*204)))
#define MAILBOX0_NUMREG77                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*205)))
#define MAILBOX0_NUMREG78                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*206)))
#define MAILBOX0_NUMREG79                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*207)))
#define MAILBOX0_NUMREG80                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*208)))
#define MAILBOX0_NUMREG81                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*209)))
#define MAILBOX0_NUMREG82                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*210)))
#define MAILBOX0_NUMREG83                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*211)))
#define MAILBOX0_NUMREG84                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*212)))
#define MAILBOX0_NUMREG85                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*213)))
#define MAILBOX0_NUMREG86                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*214)))
#define MAILBOX0_NUMREG87                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*215)))
#define MAILBOX0_NUMREG88                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*216)))
#define MAILBOX0_NUMREG89                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*217)))
#define MAILBOX0_NUMREG90                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*218)))
#define MAILBOX0_NUMREG91                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*219)))
#define MAILBOX0_NUMREG92                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*220)))
#define MAILBOX0_NUMREG93                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*221)))
#define MAILBOX0_NUMREG94                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*222)))
#define MAILBOX0_NUMREG95                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*223)))
#define MAILBOX0_NUMREG96                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*224)))
#define MAILBOX0_NUMREG97                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*225)))
#define MAILBOX0_NUMREG98                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*226)))
#define MAILBOX0_NUMREG99                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*227)))
#define MAILBOX0_NUMREG100                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*228)))
#define MAILBOX0_NUMREG101                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*229)))
#define MAILBOX0_NUMREG102                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*230)))
#define MAILBOX0_NUMREG103                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*231)))
#define MAILBOX0_NUMREG104                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*232)))
#define MAILBOX0_NUMREG105                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*233)))
#define MAILBOX0_NUMREG106                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*234)))
#define MAILBOX0_NUMREG107                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*235)))
#define MAILBOX0_NUMREG108                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*236)))
#define MAILBOX0_NUMREG109                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*237)))
#define MAILBOX0_NUMREG110                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*238)))
#define MAILBOX0_NUMREG111                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*239)))
#define MAILBOX0_NUMREG112                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*240)))
#define MAILBOX0_NUMREG113                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*241)))
#define MAILBOX0_NUMREG114                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*242)))
#define MAILBOX0_NUMREG115                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*243)))
#define MAILBOX0_NUMREG116                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*244)))
#define MAILBOX0_NUMREG117                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*245)))
#define MAILBOX0_NUMREG118                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*246)))
#define MAILBOX0_NUMREG119                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*247)))
#define MAILBOX0_NUMREG120                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*248)))
#define MAILBOX0_NUMREG121                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*249)))
#define MAILBOX0_NUMREG122                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*250)))
#define MAILBOX0_NUMREG123                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*251)))
#define MAILBOX0_NUMREG124                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*252)))
#define MAILBOX0_NUMREG125                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*253)))
#define MAILBOX0_NUMREG126                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*254)))
#define MAILBOX0_NUMREG127                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*255)))
#define MAILBOX0_CNTREG0                    (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*256)))
#define MAILBOX0_CNTREG1                    (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*257)))
#define MAILBOX0_CNTREG2                    (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*258)))
#define MAILBOX0_CNTREG3                    (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*259)))
#define MAILBOX0_CNTREG4                    (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*260)))
#define MAILBOX0_CNTREG5                    (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*261)))
#define MAILBOX0_CNTREG6                    (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*262)))
#define MAILBOX0_CNTREG7                    (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*263)))
#define MAILBOX0_CNTREG8                    (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*264)))
#define MAILBOX0_CNTREG9                    (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*265)))
#define MAILBOX0_CNTREG10                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*266)))
#define MAILBOX0_CNTREG11                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*267)))
#define MAILBOX0_CNTREG12                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*268)))
#define MAILBOX0_CNTREG13                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*269)))
#define MAILBOX0_CNTREG14                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*270)))
#define MAILBOX0_CNTREG15                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*271)))
#define MAILBOX0_CNTREG16                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*272)))
#define MAILBOX0_CNTREG17                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*273)))
#define MAILBOX0_CNTREG18                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*274)))
#define MAILBOX0_CNTREG19                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*275)))
#define MAILBOX0_CNTREG20                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*276)))
#define MAILBOX0_CNTREG21                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*277)))
#define MAILBOX0_CNTREG22                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*278)))
#define MAILBOX0_CNTREG23                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*279)))
#define MAILBOX0_CNTREG24                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*280)))
#define MAILBOX0_CNTREG25                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*281)))
#define MAILBOX0_CNTREG26                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*282)))
#define MAILBOX0_CNTREG27                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*283)))
#define MAILBOX0_CNTREG28                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*284)))
#define MAILBOX0_CNTREG29                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*285)))
#define MAILBOX0_CNTREG30                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*286)))
#define MAILBOX0_CNTREG31                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*287)))
#define MAILBOX0_CNTREG32                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*288)))
#define MAILBOX0_CNTREG33                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*289)))
#define MAILBOX0_CNTREG34                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*290)))
#define MAILBOX0_CNTREG35                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*291)))
#define MAILBOX0_CNTREG36                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*292)))
#define MAILBOX0_CNTREG37                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*293)))
#define MAILBOX0_CNTREG38                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*294)))
#define MAILBOX0_CNTREG39                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*295)))
#define MAILBOX0_CNTREG40                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*296)))
#define MAILBOX0_CNTREG41                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*297)))
#define MAILBOX0_CNTREG42                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*298)))
#define MAILBOX0_CNTREG43                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*299)))
#define MAILBOX0_CNTREG44                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*300)))
#define MAILBOX0_CNTREG45                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*301)))
#define MAILBOX0_CNTREG46                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*302)))
#define MAILBOX0_CNTREG47                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*303)))
#define MAILBOX0_CNTREG48                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*304)))
#define MAILBOX0_CNTREG49                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*305)))
#define MAILBOX0_CNTREG50                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*306)))
#define MAILBOX0_CNTREG51                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*307)))
#define MAILBOX0_CNTREG52                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*308)))
#define MAILBOX0_CNTREG53                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*309)))
#define MAILBOX0_CNTREG54                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*310)))
#define MAILBOX0_CNTREG55                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*311)))
#define MAILBOX0_CNTREG56                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*312)))
#define MAILBOX0_CNTREG57                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*313)))
#define MAILBOX0_CNTREG58                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*314)))
#define MAILBOX0_CNTREG59                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*315)))
#define MAILBOX0_CNTREG60                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*316)))
#define MAILBOX0_CNTREG61                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*317)))
#define MAILBOX0_CNTREG62                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*318)))
#define MAILBOX0_CNTREG63                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*319)))
#define MAILBOX0_CNTREG64                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*320)))
#define MAILBOX0_CNTREG65                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*321)))
#define MAILBOX0_CNTREG66                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*322)))
#define MAILBOX0_CNTREG67                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*323)))
#define MAILBOX0_CNTREG68                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*324)))
#define MAILBOX0_CNTREG69                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*325)))
#define MAILBOX0_CNTREG70                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*326)))
#define MAILBOX0_CNTREG71                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*327)))
#define MAILBOX0_CNTREG72                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*328)))
#define MAILBOX0_CNTREG73                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*329)))
#define MAILBOX0_CNTREG74                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*330)))
#define MAILBOX0_CNTREG75                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*331)))
#define MAILBOX0_CNTREG76                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*332)))
#define MAILBOX0_CNTREG77                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*333)))
#define MAILBOX0_CNTREG78                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*334)))
#define MAILBOX0_CNTREG79                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*335)))
#define MAILBOX0_CNTREG80                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*336)))
#define MAILBOX0_CNTREG81                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*337)))
#define MAILBOX0_CNTREG82                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*338)))
#define MAILBOX0_CNTREG83                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*339)))
#define MAILBOX0_CNTREG84                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*340)))
#define MAILBOX0_CNTREG85                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*341)))
#define MAILBOX0_CNTREG86                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*342)))
#define MAILBOX0_CNTREG87                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*343)))
#define MAILBOX0_CNTREG88                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*344)))
#define MAILBOX0_CNTREG89                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*345)))
#define MAILBOX0_CNTREG90                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*346)))
#define MAILBOX0_CNTREG91                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*347)))
#define MAILBOX0_CNTREG92                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*348)))
#define MAILBOX0_CNTREG93                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*349)))
#define MAILBOX0_CNTREG94                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*350)))
#define MAILBOX0_CNTREG95                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*351)))
#define MAILBOX0_CNTREG96                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*352)))
#define MAILBOX0_CNTREG97                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*353)))
#define MAILBOX0_CNTREG98                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*354)))
#define MAILBOX0_CNTREG99                   (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*355)))
#define MAILBOX0_CNTREG100                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*356)))
#define MAILBOX0_CNTREG101                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*357)))
#define MAILBOX0_CNTREG102                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*358)))
#define MAILBOX0_CNTREG103                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*359)))
#define MAILBOX0_CNTREG104                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*360)))
#define MAILBOX0_CNTREG105                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*361)))
#define MAILBOX0_CNTREG106                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*362)))
#define MAILBOX0_CNTREG107                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*363)))
#define MAILBOX0_CNTREG108                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*364)))
#define MAILBOX0_CNTREG109                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*365)))
#define MAILBOX0_CNTREG110                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*366)))
#define MAILBOX0_CNTREG111                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*367)))
#define MAILBOX0_CNTREG112                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*368)))
#define MAILBOX0_CNTREG113                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*369)))
#define MAILBOX0_CNTREG114                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*370)))
#define MAILBOX0_CNTREG115                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*371)))
#define MAILBOX0_CNTREG116                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*372)))
#define MAILBOX0_CNTREG117                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*373)))
#define MAILBOX0_CNTREG118                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*374)))
#define MAILBOX0_CNTREG119                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*375)))
#define MAILBOX0_CNTREG120                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*376)))
#define MAILBOX0_CNTREG121                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*377)))
#define MAILBOX0_CNTREG122                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*378)))
#define MAILBOX0_CNTREG123                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*379)))
#define MAILBOX0_CNTREG124                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*380)))
#define MAILBOX0_CNTREG125                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*381)))
#define MAILBOX0_CNTREG126                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*382)))
#define MAILBOX0_CNTREG127                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*383)))
#define MAILBOX0_BASENUM                    (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*384)))
#define MAILBOX0_BASECNT                    (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*385)))
#define MAILBOX0_VALIDREG0                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*386)))
#define MAILBOX0_VALIDREG1                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*387)))
#define MAILBOX0_VALIDREG2                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*388)))
#define MAILBOX0_VALIDREG3                  (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*389)))
#define MAILBOX0_INTMASK0_0                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*390)))
#define MAILBOX0_INTMASK0_1                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*391)))
#define MAILBOX0_INTMASK0_2                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*392)))
#define MAILBOX0_INTMASK0_3                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*393)))
#define MAILBOX0_INTMASK1_0                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*394)))
#define MAILBOX0_INTMASK1_1                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*395)))
#define MAILBOX0_INTMASK1_2                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*396)))
#define MAILBOX0_INTMASK1_3                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*397)))
#define MAILBOX0_INTMASK2_0                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*398)))
#define MAILBOX0_INTMASK2_1                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*399)))
#define MAILBOX0_INTMASK2_2                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*400)))
#define MAILBOX0_INTMASK2_3                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*401)))
#define MAILBOX0_INTMASK3_0                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*402)))
#define MAILBOX0_INTMASK3_1                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*403)))
#define MAILBOX0_INTMASK3_2                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*404)))
#define MAILBOX0_INTMASK3_3                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*405)))
#define MAILBOX0_INTMASK4_0                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*406)))
#define MAILBOX0_INTMASK4_1                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*407)))
#define MAILBOX0_INTMASK4_2                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*408)))
#define MAILBOX0_INTMASK4_3                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*409)))
#define MAILBOX0_INTMASK5_0                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*410)))
#define MAILBOX0_INTMASK5_1                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*411)))
#define MAILBOX0_INTMASK5_2                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*412)))
#define MAILBOX0_INTMASK5_3                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*413)))
#define MAILBOX0_INTMASK6_0                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*414)))
#define MAILBOX0_INTMASK6_1                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*415)))
#define MAILBOX0_INTMASK6_2                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*416)))
#define MAILBOX0_INTMASK6_3                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*417)))
#define MAILBOX0_INTMASK7_0                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*418)))
#define MAILBOX0_INTMASK7_1                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*419)))
#define MAILBOX0_INTMASK7_2                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*420)))
#define MAILBOX0_INTMASK7_3                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*421)))
#define MAILBOX0_INTMASK8_0                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*422)))
#define MAILBOX0_INTMASK8_1                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*423)))
#define MAILBOX0_INTMASK8_2                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*424)))
#define MAILBOX0_INTMASK8_3                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*425)))
#define MAILBOX0_INTMASK9_0                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*426)))
#define MAILBOX0_INTMASK9_1                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*427)))
#define MAILBOX0_INTMASK9_2                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*428)))
#define MAILBOX0_INTMASK9_3                 (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*429)))
#define MAILBOX0_INTMASK10_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*430)))
#define MAILBOX0_INTMASK10_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*431)))
#define MAILBOX0_INTMASK10_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*432)))
#define MAILBOX0_INTMASK10_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*433)))
#define MAILBOX0_INTMASK11_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*434)))
#define MAILBOX0_INTMASK11_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*435)))
#define MAILBOX0_INTMASK11_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*436)))
#define MAILBOX0_INTMASK11_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*437)))
#define MAILBOX0_INTMASK12_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*438)))
#define MAILBOX0_INTMASK12_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*439)))
#define MAILBOX0_INTMASK12_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*440)))
#define MAILBOX0_INTMASK12_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*441)))
#define MAILBOX0_INTMASK13_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*442)))
#define MAILBOX0_INTMASK13_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*443)))
#define MAILBOX0_INTMASK13_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*444)))
#define MAILBOX0_INTMASK13_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*445)))
#define MAILBOX0_INTMASK14_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*446)))
#define MAILBOX0_INTMASK14_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*447)))
#define MAILBOX0_INTMASK14_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*448)))
#define MAILBOX0_INTMASK14_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*449)))
#define MAILBOX0_INTMASK15_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*450)))
#define MAILBOX0_INTMASK15_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*451)))
#define MAILBOX0_INTMASK15_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*452)))
#define MAILBOX0_INTMASK15_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*453)))
#define MAILBOX0_INTMASK16_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*454)))
#define MAILBOX0_INTMASK16_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*455)))
#define MAILBOX0_INTMASK16_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*456)))
#define MAILBOX0_INTMASK16_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*457)))
#define MAILBOX0_INTMASK17_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*458)))
#define MAILBOX0_INTMASK17_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*459)))
#define MAILBOX0_INTMASK17_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*460)))
#define MAILBOX0_INTMASK17_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*461)))
#define MAILBOX0_INTMASK18_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*462)))
#define MAILBOX0_INTMASK18_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*463)))
#define MAILBOX0_INTMASK18_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*464)))
#define MAILBOX0_INTMASK18_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*465)))
#define MAILBOX0_INTMASK19_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*466)))
#define MAILBOX0_INTMASK19_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*467)))
#define MAILBOX0_INTMASK19_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*468)))
#define MAILBOX0_INTMASK19_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*469)))
#define MAILBOX0_INTMASK20_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*470)))
#define MAILBOX0_INTMASK20_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*471)))
#define MAILBOX0_INTMASK20_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*472)))
#define MAILBOX0_INTMASK20_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*473)))
#define MAILBOX0_INTMASK21_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*474)))
#define MAILBOX0_INTMASK21_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*475)))
#define MAILBOX0_INTMASK21_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*476)))
#define MAILBOX0_INTMASK21_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*477)))
#define MAILBOX0_INTMASK22_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*478)))
#define MAILBOX0_INTMASK22_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*479)))
#define MAILBOX0_INTMASK22_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*480)))
#define MAILBOX0_INTMASK22_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*481)))
#define MAILBOX0_INTMASK23_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*482)))
#define MAILBOX0_INTMASK23_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*483)))
#define MAILBOX0_INTMASK23_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*484)))
#define MAILBOX0_INTMASK23_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*485)))
#define MAILBOX0_INTMASK24_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*486)))
#define MAILBOX0_INTMASK24_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*487)))
#define MAILBOX0_INTMASK24_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*488)))
#define MAILBOX0_INTMASK24_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*489)))
#define MAILBOX0_INTMASK25_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*490)))
#define MAILBOX0_INTMASK25_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*491)))
#define MAILBOX0_INTMASK25_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*492)))
#define MAILBOX0_INTMASK25_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*493)))
#define MAILBOX0_INTMASK26_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*494)))
#define MAILBOX0_INTMASK26_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*495)))
#define MAILBOX0_INTMASK26_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*496)))
#define MAILBOX0_INTMASK26_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*497)))
#define MAILBOX0_INTMASK27_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*498)))
#define MAILBOX0_INTMASK27_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*499)))
#define MAILBOX0_INTMASK27_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*500)))
#define MAILBOX0_INTMASK27_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*501)))
#define MAILBOX0_INTMASK28_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*502)))
#define MAILBOX0_INTMASK28_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*503)))
#define MAILBOX0_INTMASK28_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*504)))
#define MAILBOX0_INTMASK28_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*505)))
#define MAILBOX0_INTMASK29_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*506)))
#define MAILBOX0_INTMASK29_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*507)))
#define MAILBOX0_INTMASK29_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*508)))
#define MAILBOX0_INTMASK29_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*509)))
#define MAILBOX0_INTMASK30_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*510)))
#define MAILBOX0_INTMASK30_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*511)))
#define MAILBOX0_INTMASK30_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*512)))
#define MAILBOX0_INTMASK30_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*513)))
#define MAILBOX0_INTMASK31_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*514)))
#define MAILBOX0_INTMASK31_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*515)))
#define MAILBOX0_INTMASK31_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*516)))
#define MAILBOX0_INTMASK31_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*517)))
#define MAILBOX0_INTMASK32_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*518)))
#define MAILBOX0_INTMASK32_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*519)))
#define MAILBOX0_INTMASK32_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*520)))
#define MAILBOX0_INTMASK32_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*521)))
#define MAILBOX0_INTMASK33_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*522)))
#define MAILBOX0_INTMASK33_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*523)))
#define MAILBOX0_INTMASK33_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*524)))
#define MAILBOX0_INTMASK33_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*525)))
#define MAILBOX0_INTMASK34_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*526)))
#define MAILBOX0_INTMASK34_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*527)))
#define MAILBOX0_INTMASK34_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*528)))
#define MAILBOX0_INTMASK34_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*529)))
#define MAILBOX0_INTMASK35_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*530)))
#define MAILBOX0_INTMASK35_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*531)))
#define MAILBOX0_INTMASK35_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*532)))
#define MAILBOX0_INTMASK35_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*533)))
#define MAILBOX0_INTMASK36_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*534)))
#define MAILBOX0_INTMASK36_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*535)))
#define MAILBOX0_INTMASK36_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*536)))
#define MAILBOX0_INTMASK36_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*537)))
#define MAILBOX0_INTMASK37_0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*538)))
#define MAILBOX0_INTMASK37_1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*539)))
#define MAILBOX0_INTMASK37_2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*540)))
#define MAILBOX0_INTMASK37_3                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*541)))
#define MAILBOX0_EVENTMASK0_0               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*542)))
#define MAILBOX0_EVENTMASK0_1               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*543)))
#define MAILBOX0_EVENTMASK0_2               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*544)))
#define MAILBOX0_EVENTMASK0_3               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*545)))
#define MAILBOX0_EVENTMASK1_0               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*546)))
#define MAILBOX0_EVENTMASK1_1               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*547)))
#define MAILBOX0_EVENTMASK1_2               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*548)))
#define MAILBOX0_EVENTMASK1_3               (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*549)))
#define MAILBOX0_INTRSTATUS0                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*550)))
#define MAILBOX0_INTRSTATUS1                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*551)))
#define MAILBOX0_INTRSTATUS2                (*((volatile UINT32 *)(MAILBOX0_CFG_BASE+4*552)))


#define MAILBOX1_PRIDATAREG0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*0)))
#define MAILBOX1_PRIDATAREG1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*1)))
#define MAILBOX1_PRIDATAREG2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*2)))
#define MAILBOX1_PRIDATAREG3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*3)))
#define MAILBOX1_PRIDATAREG4                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*4)))
#define MAILBOX1_PRIDATAREG5                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*5)))
#define MAILBOX1_PRIDATAREG6                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*6)))
#define MAILBOX1_PRIDATAREG7                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*7)))
#define MAILBOX1_PRIDATAREG8                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*8)))
#define MAILBOX1_PRIDATAREG9                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*9)))
#define MAILBOX1_PRIDATAREG10               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*10)))
#define MAILBOX1_PRIDATAREG11               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*11)))
#define MAILBOX1_PRIDATAREG12               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*12)))
#define MAILBOX1_PRIDATAREG13               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*13)))
#define MAILBOX1_PRIDATAREG14               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*14)))
#define MAILBOX1_PRIDATAREG15               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*15)))
#define MAILBOX1_PRIDATAREG16               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*16)))
#define MAILBOX1_PRIDATAREG17               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*17)))
#define MAILBOX1_PRIDATAREG18               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*18)))
#define MAILBOX1_PRIDATAREG19               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*19)))
#define MAILBOX1_PRIDATAREG20               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*20)))
#define MAILBOX1_PRIDATAREG21               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*21)))
#define MAILBOX1_PRIDATAREG22               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*22)))
#define MAILBOX1_PRIDATAREG23               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*23)))
#define MAILBOX1_PRIDATAREG24               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*24)))
#define MAILBOX1_PRIDATAREG25               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*25)))
#define MAILBOX1_PRIDATAREG26               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*26)))
#define MAILBOX1_PRIDATAREG27               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*27)))
#define MAILBOX1_PRIDATAREG28               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*28)))
#define MAILBOX1_PRIDATAREG29               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*29)))
#define MAILBOX1_PRIDATAREG30               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*30)))
#define MAILBOX1_PRIDATAREG31               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*31)))
#define MAILBOX1_PRIDATAREG32               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*32)))
#define MAILBOX1_PRIDATAREG33               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*33)))
#define MAILBOX1_PRIDATAREG34               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*34)))
#define MAILBOX1_PRIDATAREG35               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*35)))
#define MAILBOX1_PRIDATAREG36               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*36)))
#define MAILBOX1_PRIDATAREG37               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*37)))
#define MAILBOX1_PRIDATAREG38               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*38)))
#define MAILBOX1_PRIDATAREG39               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*39)))
#define MAILBOX1_PRIDATAREG40               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*40)))
#define MAILBOX1_PRIDATAREG41               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*41)))
#define MAILBOX1_PRIDATAREG42               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*42)))
#define MAILBOX1_PRIDATAREG43               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*43)))
#define MAILBOX1_PRIDATAREG44               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*44)))
#define MAILBOX1_PRIDATAREG45               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*45)))
#define MAILBOX1_PRIDATAREG46               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*46)))
#define MAILBOX1_PRIDATAREG47               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*47)))
#define MAILBOX1_PRIDATAREG48               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*48)))
#define MAILBOX1_PRIDATAREG49               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*49)))
#define MAILBOX1_PRIDATAREG50               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*50)))
#define MAILBOX1_PRIDATAREG51               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*51)))
#define MAILBOX1_PRIDATAREG52               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*52)))
#define MAILBOX1_PRIDATAREG53               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*53)))
#define MAILBOX1_PRIDATAREG54               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*54)))
#define MAILBOX1_PRIDATAREG55               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*55)))
#define MAILBOX1_PRIDATAREG56               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*56)))
#define MAILBOX1_PRIDATAREG57               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*57)))
#define MAILBOX1_PRIDATAREG58               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*58)))
#define MAILBOX1_PRIDATAREG59               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*59)))
#define MAILBOX1_PRIDATAREG60               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*60)))
#define MAILBOX1_PRIDATAREG61               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*61)))
#define MAILBOX1_PRIDATAREG62               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*62)))
#define MAILBOX1_PRIDATAREG63               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*63)))
#define MAILBOX1_PRIDATAREG64               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*64)))
#define MAILBOX1_PRIDATAREG65               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*65)))
#define MAILBOX1_PRIDATAREG66               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*66)))
#define MAILBOX1_PRIDATAREG67               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*67)))
#define MAILBOX1_PRIDATAREG68               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*68)))
#define MAILBOX1_PRIDATAREG69               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*69)))
#define MAILBOX1_PRIDATAREG70               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*70)))
#define MAILBOX1_PRIDATAREG71               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*71)))
#define MAILBOX1_PRIDATAREG72               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*72)))
#define MAILBOX1_PRIDATAREG73               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*73)))
#define MAILBOX1_PRIDATAREG74               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*74)))
#define MAILBOX1_PRIDATAREG75               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*75)))
#define MAILBOX1_PRIDATAREG76               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*76)))
#define MAILBOX1_PRIDATAREG77               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*77)))
#define MAILBOX1_PRIDATAREG78               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*78)))
#define MAILBOX1_PRIDATAREG79               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*79)))
#define MAILBOX1_PRIDATAREG80               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*80)))
#define MAILBOX1_PRIDATAREG81               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*81)))
#define MAILBOX1_PRIDATAREG82               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*82)))
#define MAILBOX1_PRIDATAREG83               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*83)))
#define MAILBOX1_PRIDATAREG84               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*84)))
#define MAILBOX1_PRIDATAREG85               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*85)))
#define MAILBOX1_PRIDATAREG86               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*86)))
#define MAILBOX1_PRIDATAREG87               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*87)))
#define MAILBOX1_PRIDATAREG88               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*88)))
#define MAILBOX1_PRIDATAREG89               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*89)))
#define MAILBOX1_PRIDATAREG90               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*90)))
#define MAILBOX1_PRIDATAREG91               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*91)))
#define MAILBOX1_PRIDATAREG92               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*92)))
#define MAILBOX1_PRIDATAREG93               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*93)))
#define MAILBOX1_PRIDATAREG94               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*94)))
#define MAILBOX1_PRIDATAREG95               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*95)))
#define MAILBOX1_PRIDATAREG96               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*96)))
#define MAILBOX1_PRIDATAREG97               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*97)))
#define MAILBOX1_PRIDATAREG98               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*98)))
#define MAILBOX1_PRIDATAREG99               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*99)))
#define MAILBOX1_PRIDATAREG100              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*100)))
#define MAILBOX1_PRIDATAREG101              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*101)))
#define MAILBOX1_PRIDATAREG102              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*102)))
#define MAILBOX1_PRIDATAREG103              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*103)))
#define MAILBOX1_PRIDATAREG104              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*104)))
#define MAILBOX1_PRIDATAREG105              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*105)))
#define MAILBOX1_PRIDATAREG106              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*106)))
#define MAILBOX1_PRIDATAREG107              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*107)))
#define MAILBOX1_PRIDATAREG108              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*108)))
#define MAILBOX1_PRIDATAREG109              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*109)))
#define MAILBOX1_PRIDATAREG110              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*110)))
#define MAILBOX1_PRIDATAREG111              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*111)))
#define MAILBOX1_PRIDATAREG112              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*112)))
#define MAILBOX1_PRIDATAREG113              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*113)))
#define MAILBOX1_PRIDATAREG114              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*114)))
#define MAILBOX1_PRIDATAREG115              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*115)))
#define MAILBOX1_PRIDATAREG116              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*116)))
#define MAILBOX1_PRIDATAREG117              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*117)))
#define MAILBOX1_PRIDATAREG118              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*118)))
#define MAILBOX1_PRIDATAREG119              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*119)))
#define MAILBOX1_PRIDATAREG120              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*120)))
#define MAILBOX1_PRIDATAREG121              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*121)))
#define MAILBOX1_PRIDATAREG122              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*122)))
#define MAILBOX1_PRIDATAREG123              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*123)))
#define MAILBOX1_PRIDATAREG124              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*124)))
#define MAILBOX1_PRIDATAREG125              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*125)))
#define MAILBOX1_PRIDATAREG126              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*126)))
#define MAILBOX1_PRIDATAREG127              (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*127)))
#define MAILBOX1_NUMREG0                    (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*128)))
#define MAILBOX1_NUMREG1                    (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*129)))
#define MAILBOX1_NUMREG2                    (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*130)))
#define MAILBOX1_NUMREG3                    (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*131)))
#define MAILBOX1_NUMREG4                    (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*132)))
#define MAILBOX1_NUMREG5                    (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*133)))
#define MAILBOX1_NUMREG6                    (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*134)))
#define MAILBOX1_NUMREG7                    (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*135)))
#define MAILBOX1_NUMREG8                    (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*136)))
#define MAILBOX1_NUMREG9                    (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*137)))
#define MAILBOX1_NUMREG10                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*138)))
#define MAILBOX1_NUMREG11                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*139)))
#define MAILBOX1_NUMREG12                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*140)))
#define MAILBOX1_NUMREG13                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*141)))
#define MAILBOX1_NUMREG14                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*142)))
#define MAILBOX1_NUMREG15                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*143)))
#define MAILBOX1_NUMREG16                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*144)))
#define MAILBOX1_NUMREG17                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*145)))
#define MAILBOX1_NUMREG18                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*146)))
#define MAILBOX1_NUMREG19                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*147)))
#define MAILBOX1_NUMREG20                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*148)))
#define MAILBOX1_NUMREG21                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*149)))
#define MAILBOX1_NUMREG22                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*150)))
#define MAILBOX1_NUMREG23                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*151)))
#define MAILBOX1_NUMREG24                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*152)))
#define MAILBOX1_NUMREG25                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*153)))
#define MAILBOX1_NUMREG26                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*154)))
#define MAILBOX1_NUMREG27                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*155)))
#define MAILBOX1_NUMREG28                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*156)))
#define MAILBOX1_NUMREG29                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*157)))
#define MAILBOX1_NUMREG30                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*158)))
#define MAILBOX1_NUMREG31                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*159)))
#define MAILBOX1_NUMREG32                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*160)))
#define MAILBOX1_NUMREG33                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*161)))
#define MAILBOX1_NUMREG34                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*162)))
#define MAILBOX1_NUMREG35                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*163)))
#define MAILBOX1_NUMREG36                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*164)))
#define MAILBOX1_NUMREG37                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*165)))
#define MAILBOX1_NUMREG38                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*166)))
#define MAILBOX1_NUMREG39                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*167)))
#define MAILBOX1_NUMREG40                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*168)))
#define MAILBOX1_NUMREG41                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*169)))
#define MAILBOX1_NUMREG42                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*170)))
#define MAILBOX1_NUMREG43                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*171)))
#define MAILBOX1_NUMREG44                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*172)))
#define MAILBOX1_NUMREG45                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*173)))
#define MAILBOX1_NUMREG46                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*174)))
#define MAILBOX1_NUMREG47                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*175)))
#define MAILBOX1_NUMREG48                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*176)))
#define MAILBOX1_NUMREG49                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*177)))
#define MAILBOX1_NUMREG50                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*178)))
#define MAILBOX1_NUMREG51                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*179)))
#define MAILBOX1_NUMREG52                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*180)))
#define MAILBOX1_NUMREG53                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*181)))
#define MAILBOX1_NUMREG54                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*182)))
#define MAILBOX1_NUMREG55                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*183)))
#define MAILBOX1_NUMREG56                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*184)))
#define MAILBOX1_NUMREG57                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*185)))
#define MAILBOX1_NUMREG58                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*186)))
#define MAILBOX1_NUMREG59                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*187)))
#define MAILBOX1_NUMREG60                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*188)))
#define MAILBOX1_NUMREG61                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*189)))
#define MAILBOX1_NUMREG62                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*190)))
#define MAILBOX1_NUMREG63                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*191)))
#define MAILBOX1_NUMREG64                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*192)))
#define MAILBOX1_NUMREG65                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*193)))
#define MAILBOX1_NUMREG66                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*194)))
#define MAILBOX1_NUMREG67                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*195)))
#define MAILBOX1_NUMREG68                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*196)))
#define MAILBOX1_NUMREG69                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*197)))
#define MAILBOX1_NUMREG70                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*198)))
#define MAILBOX1_NUMREG71                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*199)))
#define MAILBOX1_NUMREG72                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*200)))
#define MAILBOX1_NUMREG73                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*201)))
#define MAILBOX1_NUMREG74                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*202)))
#define MAILBOX1_NUMREG75                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*203)))
#define MAILBOX1_NUMREG76                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*204)))
#define MAILBOX1_NUMREG77                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*205)))
#define MAILBOX1_NUMREG78                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*206)))
#define MAILBOX1_NUMREG79                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*207)))
#define MAILBOX1_NUMREG80                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*208)))
#define MAILBOX1_NUMREG81                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*209)))
#define MAILBOX1_NUMREG82                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*210)))
#define MAILBOX1_NUMREG83                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*211)))
#define MAILBOX1_NUMREG84                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*212)))
#define MAILBOX1_NUMREG85                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*213)))
#define MAILBOX1_NUMREG86                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*214)))
#define MAILBOX1_NUMREG87                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*215)))
#define MAILBOX1_NUMREG88                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*216)))
#define MAILBOX1_NUMREG89                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*217)))
#define MAILBOX1_NUMREG90                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*218)))
#define MAILBOX1_NUMREG91                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*219)))
#define MAILBOX1_NUMREG92                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*220)))
#define MAILBOX1_NUMREG93                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*221)))
#define MAILBOX1_NUMREG94                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*222)))
#define MAILBOX1_NUMREG95                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*223)))
#define MAILBOX1_NUMREG96                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*224)))
#define MAILBOX1_NUMREG97                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*225)))
#define MAILBOX1_NUMREG98                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*226)))
#define MAILBOX1_NUMREG99                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*227)))
#define MAILBOX1_NUMREG100                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*228)))
#define MAILBOX1_NUMREG101                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*229)))
#define MAILBOX1_NUMREG102                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*230)))
#define MAILBOX1_NUMREG103                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*231)))
#define MAILBOX1_NUMREG104                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*232)))
#define MAILBOX1_NUMREG105                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*233)))
#define MAILBOX1_NUMREG106                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*234)))
#define MAILBOX1_NUMREG107                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*235)))
#define MAILBOX1_NUMREG108                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*236)))
#define MAILBOX1_NUMREG109                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*237)))
#define MAILBOX1_NUMREG110                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*238)))
#define MAILBOX1_NUMREG111                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*239)))
#define MAILBOX1_NUMREG112                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*240)))
#define MAILBOX1_NUMREG113                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*241)))
#define MAILBOX1_NUMREG114                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*242)))
#define MAILBOX1_NUMREG115                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*243)))
#define MAILBOX1_NUMREG116                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*244)))
#define MAILBOX1_NUMREG117                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*245)))
#define MAILBOX1_NUMREG118                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*246)))
#define MAILBOX1_NUMREG119                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*247)))
#define MAILBOX1_NUMREG120                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*248)))
#define MAILBOX1_NUMREG121                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*249)))
#define MAILBOX1_NUMREG122                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*250)))
#define MAILBOX1_NUMREG123                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*251)))
#define MAILBOX1_NUMREG124                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*252)))
#define MAILBOX1_NUMREG125                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*253)))
#define MAILBOX1_NUMREG126                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*254)))
#define MAILBOX1_NUMREG127                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*255)))
#define MAILBOX1_CNTREG0                    (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*256)))
#define MAILBOX1_CNTREG1                    (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*257)))
#define MAILBOX1_CNTREG2                    (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*258)))
#define MAILBOX1_CNTREG3                    (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*259)))
#define MAILBOX1_CNTREG4                    (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*260)))
#define MAILBOX1_CNTREG5                    (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*261)))
#define MAILBOX1_CNTREG6                    (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*262)))
#define MAILBOX1_CNTREG7                    (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*263)))
#define MAILBOX1_CNTREG8                    (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*264)))
#define MAILBOX1_CNTREG9                    (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*265)))
#define MAILBOX1_CNTREG10                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*266)))
#define MAILBOX1_CNTREG11                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*267)))
#define MAILBOX1_CNTREG12                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*268)))
#define MAILBOX1_CNTREG13                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*269)))
#define MAILBOX1_CNTREG14                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*270)))
#define MAILBOX1_CNTREG15                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*271)))
#define MAILBOX1_CNTREG16                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*272)))
#define MAILBOX1_CNTREG17                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*273)))
#define MAILBOX1_CNTREG18                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*274)))
#define MAILBOX1_CNTREG19                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*275)))
#define MAILBOX1_CNTREG20                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*276)))
#define MAILBOX1_CNTREG21                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*277)))
#define MAILBOX1_CNTREG22                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*278)))
#define MAILBOX1_CNTREG23                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*279)))
#define MAILBOX1_CNTREG24                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*280)))
#define MAILBOX1_CNTREG25                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*281)))
#define MAILBOX1_CNTREG26                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*282)))
#define MAILBOX1_CNTREG27                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*283)))
#define MAILBOX1_CNTREG28                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*284)))
#define MAILBOX1_CNTREG29                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*285)))
#define MAILBOX1_CNTREG30                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*286)))
#define MAILBOX1_CNTREG31                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*287)))
#define MAILBOX1_CNTREG32                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*288)))
#define MAILBOX1_CNTREG33                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*289)))
#define MAILBOX1_CNTREG34                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*290)))
#define MAILBOX1_CNTREG35                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*291)))
#define MAILBOX1_CNTREG36                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*292)))
#define MAILBOX1_CNTREG37                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*293)))
#define MAILBOX1_CNTREG38                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*294)))
#define MAILBOX1_CNTREG39                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*295)))
#define MAILBOX1_CNTREG40                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*296)))
#define MAILBOX1_CNTREG41                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*297)))
#define MAILBOX1_CNTREG42                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*298)))
#define MAILBOX1_CNTREG43                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*299)))
#define MAILBOX1_CNTREG44                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*300)))
#define MAILBOX1_CNTREG45                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*301)))
#define MAILBOX1_CNTREG46                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*302)))
#define MAILBOX1_CNTREG47                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*303)))
#define MAILBOX1_CNTREG48                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*304)))
#define MAILBOX1_CNTREG49                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*305)))
#define MAILBOX1_CNTREG50                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*306)))
#define MAILBOX1_CNTREG51                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*307)))
#define MAILBOX1_CNTREG52                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*308)))
#define MAILBOX1_CNTREG53                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*309)))
#define MAILBOX1_CNTREG54                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*310)))
#define MAILBOX1_CNTREG55                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*311)))
#define MAILBOX1_CNTREG56                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*312)))
#define MAILBOX1_CNTREG57                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*313)))
#define MAILBOX1_CNTREG58                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*314)))
#define MAILBOX1_CNTREG59                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*315)))
#define MAILBOX1_CNTREG60                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*316)))
#define MAILBOX1_CNTREG61                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*317)))
#define MAILBOX1_CNTREG62                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*318)))
#define MAILBOX1_CNTREG63                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*319)))
#define MAILBOX1_CNTREG64                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*320)))
#define MAILBOX1_CNTREG65                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*321)))
#define MAILBOX1_CNTREG66                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*322)))
#define MAILBOX1_CNTREG67                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*323)))
#define MAILBOX1_CNTREG68                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*324)))
#define MAILBOX1_CNTREG69                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*325)))
#define MAILBOX1_CNTREG70                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*326)))
#define MAILBOX1_CNTREG71                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*327)))
#define MAILBOX1_CNTREG72                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*328)))
#define MAILBOX1_CNTREG73                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*329)))
#define MAILBOX1_CNTREG74                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*330)))
#define MAILBOX1_CNTREG75                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*331)))
#define MAILBOX1_CNTREG76                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*332)))
#define MAILBOX1_CNTREG77                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*333)))
#define MAILBOX1_CNTREG78                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*334)))
#define MAILBOX1_CNTREG79                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*335)))
#define MAILBOX1_CNTREG80                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*336)))
#define MAILBOX1_CNTREG81                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*337)))
#define MAILBOX1_CNTREG82                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*338)))
#define MAILBOX1_CNTREG83                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*339)))
#define MAILBOX1_CNTREG84                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*340)))
#define MAILBOX1_CNTREG85                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*341)))
#define MAILBOX1_CNTREG86                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*342)))
#define MAILBOX1_CNTREG87                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*343)))
#define MAILBOX1_CNTREG88                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*344)))
#define MAILBOX1_CNTREG89                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*345)))
#define MAILBOX1_CNTREG90                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*346)))
#define MAILBOX1_CNTREG91                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*347)))
#define MAILBOX1_CNTREG92                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*348)))
#define MAILBOX1_CNTREG93                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*349)))
#define MAILBOX1_CNTREG94                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*350)))
#define MAILBOX1_CNTREG95                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*351)))
#define MAILBOX1_CNTREG96                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*352)))
#define MAILBOX1_CNTREG97                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*353)))
#define MAILBOX1_CNTREG98                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*354)))
#define MAILBOX1_CNTREG99                   (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*355)))
#define MAILBOX1_CNTREG100                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*356)))
#define MAILBOX1_CNTREG101                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*357)))
#define MAILBOX1_CNTREG102                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*358)))
#define MAILBOX1_CNTREG103                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*359)))
#define MAILBOX1_CNTREG104                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*360)))
#define MAILBOX1_CNTREG105                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*361)))
#define MAILBOX1_CNTREG106                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*362)))
#define MAILBOX1_CNTREG107                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*363)))
#define MAILBOX1_CNTREG108                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*364)))
#define MAILBOX1_CNTREG109                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*365)))
#define MAILBOX1_CNTREG110                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*366)))
#define MAILBOX1_CNTREG111                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*367)))
#define MAILBOX1_CNTREG112                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*368)))
#define MAILBOX1_CNTREG113                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*369)))
#define MAILBOX1_CNTREG114                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*370)))
#define MAILBOX1_CNTREG115                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*371)))
#define MAILBOX1_CNTREG116                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*372)))
#define MAILBOX1_CNTREG117                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*373)))
#define MAILBOX1_CNTREG118                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*374)))
#define MAILBOX1_CNTREG119                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*375)))
#define MAILBOX1_CNTREG120                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*376)))
#define MAILBOX1_CNTREG121                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*377)))
#define MAILBOX1_CNTREG122                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*378)))
#define MAILBOX1_CNTREG123                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*379)))
#define MAILBOX1_CNTREG124                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*380)))
#define MAILBOX1_CNTREG125                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*381)))
#define MAILBOX1_CNTREG126                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*382)))
#define MAILBOX1_CNTREG127                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*383)))
#define MAILBOX1_BASENUM                    (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*384)))
#define MAILBOX1_BASECNT                    (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*385)))
#define MAILBOX1_VALIDREG0                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*386)))
#define MAILBOX1_VALIDREG1                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*387)))
#define MAILBOX1_VALIDREG2                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*388)))
#define MAILBOX1_VALIDREG3                  (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*389)))
#define MAILBOX1_INTMASK0_0                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*390)))
#define MAILBOX1_INTMASK0_1                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*391)))
#define MAILBOX1_INTMASK0_2                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*392)))
#define MAILBOX1_INTMASK0_3                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*393)))
#define MAILBOX1_INTMASK1_0                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*394)))
#define MAILBOX1_INTMASK1_1                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*395)))
#define MAILBOX1_INTMASK1_2                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*396)))
#define MAILBOX1_INTMASK1_3                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*397)))
#define MAILBOX1_INTMASK2_0                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*398)))
#define MAILBOX1_INTMASK2_1                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*399)))
#define MAILBOX1_INTMASK2_2                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*400)))
#define MAILBOX1_INTMASK2_3                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*401)))
#define MAILBOX1_INTMASK3_0                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*402)))
#define MAILBOX1_INTMASK3_1                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*403)))
#define MAILBOX1_INTMASK3_2                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*404)))
#define MAILBOX1_INTMASK3_3                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*405)))
#define MAILBOX1_INTMASK4_0                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*406)))
#define MAILBOX1_INTMASK4_1                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*407)))
#define MAILBOX1_INTMASK4_2                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*408)))
#define MAILBOX1_INTMASK4_3                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*409)))
#define MAILBOX1_INTMASK5_0                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*410)))
#define MAILBOX1_INTMASK5_1                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*411)))
#define MAILBOX1_INTMASK5_2                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*412)))
#define MAILBOX1_INTMASK5_3                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*413)))
#define MAILBOX1_INTMASK6_0                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*414)))
#define MAILBOX1_INTMASK6_1                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*415)))
#define MAILBOX1_INTMASK6_2                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*416)))
#define MAILBOX1_INTMASK6_3                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*417)))
#define MAILBOX1_INTMASK7_0                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*418)))
#define MAILBOX1_INTMASK7_1                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*419)))
#define MAILBOX1_INTMASK7_2                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*420)))
#define MAILBOX1_INTMASK7_3                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*421)))
#define MAILBOX1_INTMASK8_0                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*422)))
#define MAILBOX1_INTMASK8_1                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*423)))
#define MAILBOX1_INTMASK8_2                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*424)))
#define MAILBOX1_INTMASK8_3                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*425)))
#define MAILBOX1_INTMASK9_0                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*426)))
#define MAILBOX1_INTMASK9_1                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*427)))
#define MAILBOX1_INTMASK9_2                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*428)))
#define MAILBOX1_INTMASK9_3                 (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*429)))
#define MAILBOX1_INTMASK10_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*430)))
#define MAILBOX1_INTMASK10_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*431)))
#define MAILBOX1_INTMASK10_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*432)))
#define MAILBOX1_INTMASK10_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*433)))
#define MAILBOX1_INTMASK11_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*434)))
#define MAILBOX1_INTMASK11_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*435)))
#define MAILBOX1_INTMASK11_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*436)))
#define MAILBOX1_INTMASK11_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*437)))
#define MAILBOX1_INTMASK12_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*438)))
#define MAILBOX1_INTMASK12_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*439)))
#define MAILBOX1_INTMASK12_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*440)))
#define MAILBOX1_INTMASK12_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*441)))
#define MAILBOX1_INTMASK13_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*442)))
#define MAILBOX1_INTMASK13_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*443)))
#define MAILBOX1_INTMASK13_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*444)))
#define MAILBOX1_INTMASK13_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*445)))
#define MAILBOX1_INTMASK14_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*446)))
#define MAILBOX1_INTMASK14_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*447)))
#define MAILBOX1_INTMASK14_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*448)))
#define MAILBOX1_INTMASK14_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*449)))
#define MAILBOX1_INTMASK15_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*450)))
#define MAILBOX1_INTMASK15_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*451)))
#define MAILBOX1_INTMASK15_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*452)))
#define MAILBOX1_INTMASK15_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*453)))
#define MAILBOX1_INTMASK16_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*454)))
#define MAILBOX1_INTMASK16_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*455)))
#define MAILBOX1_INTMASK16_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*456)))
#define MAILBOX1_INTMASK16_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*457)))
#define MAILBOX1_INTMASK17_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*458)))
#define MAILBOX1_INTMASK17_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*459)))
#define MAILBOX1_INTMASK17_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*460)))
#define MAILBOX1_INTMASK17_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*461)))
#define MAILBOX1_INTMASK18_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*462)))
#define MAILBOX1_INTMASK18_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*463)))
#define MAILBOX1_INTMASK18_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*464)))
#define MAILBOX1_INTMASK18_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*465)))
#define MAILBOX1_INTMASK19_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*466)))
#define MAILBOX1_INTMASK19_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*467)))
#define MAILBOX1_INTMASK19_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*468)))
#define MAILBOX1_INTMASK19_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*469)))
#define MAILBOX1_INTMASK20_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*470)))
#define MAILBOX1_INTMASK20_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*471)))
#define MAILBOX1_INTMASK20_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*472)))
#define MAILBOX1_INTMASK20_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*473)))
#define MAILBOX1_INTMASK21_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*474)))
#define MAILBOX1_INTMASK21_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*475)))
#define MAILBOX1_INTMASK21_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*476)))
#define MAILBOX1_INTMASK21_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*477)))
#define MAILBOX1_INTMASK22_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*478)))
#define MAILBOX1_INTMASK22_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*479)))
#define MAILBOX1_INTMASK22_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*480)))
#define MAILBOX1_INTMASK22_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*481)))
#define MAILBOX1_INTMASK23_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*482)))
#define MAILBOX1_INTMASK23_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*483)))
#define MAILBOX1_INTMASK23_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*484)))
#define MAILBOX1_INTMASK23_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*485)))
#define MAILBOX1_INTMASK24_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*486)))
#define MAILBOX1_INTMASK24_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*487)))
#define MAILBOX1_INTMASK24_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*488)))
#define MAILBOX1_INTMASK24_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*489)))
#define MAILBOX1_INTMASK25_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*490)))
#define MAILBOX1_INTMASK25_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*491)))
#define MAILBOX1_INTMASK25_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*492)))
#define MAILBOX1_INTMASK25_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*493)))
#define MAILBOX1_INTMASK26_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*494)))
#define MAILBOX1_INTMASK26_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*495)))
#define MAILBOX1_INTMASK26_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*496)))
#define MAILBOX1_INTMASK26_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*497)))
#define MAILBOX1_INTMASK27_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*498)))
#define MAILBOX1_INTMASK27_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*499)))
#define MAILBOX1_INTMASK27_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*500)))
#define MAILBOX1_INTMASK27_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*501)))
#define MAILBOX1_INTMASK28_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*502)))
#define MAILBOX1_INTMASK28_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*503)))
#define MAILBOX1_INTMASK28_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*504)))
#define MAILBOX1_INTMASK28_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*505)))
#define MAILBOX1_INTMASK29_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*506)))
#define MAILBOX1_INTMASK29_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*507)))
#define MAILBOX1_INTMASK29_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*508)))
#define MAILBOX1_INTMASK29_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*509)))
#define MAILBOX1_INTMASK30_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*510)))
#define MAILBOX1_INTMASK30_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*511)))
#define MAILBOX1_INTMASK30_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*512)))
#define MAILBOX1_INTMASK30_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*513)))
#define MAILBOX1_INTMASK31_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*514)))
#define MAILBOX1_INTMASK31_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*515)))
#define MAILBOX1_INTMASK31_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*516)))
#define MAILBOX1_INTMASK31_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*517)))
#define MAILBOX1_INTMASK32_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*518)))
#define MAILBOX1_INTMASK32_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*519)))
#define MAILBOX1_INTMASK32_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*520)))
#define MAILBOX1_INTMASK32_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*521)))
#define MAILBOX1_INTMASK33_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*522)))
#define MAILBOX1_INTMASK33_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*523)))
#define MAILBOX1_INTMASK33_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*524)))
#define MAILBOX1_INTMASK33_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*525)))
#define MAILBOX1_INTMASK34_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*526)))
#define MAILBOX1_INTMASK34_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*527)))
#define MAILBOX1_INTMASK34_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*528)))
#define MAILBOX1_INTMASK34_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*529)))
#define MAILBOX1_INTMASK35_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*530)))
#define MAILBOX1_INTMASK35_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*531)))
#define MAILBOX1_INTMASK35_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*532)))
#define MAILBOX1_INTMASK35_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*533)))
#define MAILBOX1_INTMASK36_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*534)))
#define MAILBOX1_INTMASK36_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*535)))
#define MAILBOX1_INTMASK36_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*536)))
#define MAILBOX1_INTMASK36_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*537)))
#define MAILBOX1_INTMASK37_0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*538)))
#define MAILBOX1_INTMASK37_1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*539)))
#define MAILBOX1_INTMASK37_2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*540)))
#define MAILBOX1_INTMASK37_3                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*541)))
#define MAILBOX1_EVENTMASK0_0               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*542)))
#define MAILBOX1_EVENTMASK0_1               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*543)))
#define MAILBOX1_EVENTMASK0_2               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*544)))
#define MAILBOX1_EVENTMASK0_3               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*545)))
#define MAILBOX1_EVENTMASK1_0               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*546)))
#define MAILBOX1_EVENTMASK1_1               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*547)))
#define MAILBOX1_EVENTMASK1_2               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*548)))
#define MAILBOX1_EVENTMASK1_3               (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*549)))
#define MAILBOX1_INTRSTATUS0                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*550)))
#define MAILBOX1_INTRSTATUS1                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*551)))
#define MAILBOX1_INTRSTATUS2                (*((volatile UINT32 *)(MAILBOX1_CFG_BASE+4*552)))




extern void mailbox_intr_cfg();
extern void mailbox_init();

#endif






