#ifndef __OSP_MSG_QUEUE_H__
#define __OSP_MSG_QUEUE_H__

#define OSP_APE_MSG_NUM         (682)              /* 消息总个数:   682 --> 0x2AA */
#define OSP_APE_MSG_SIG_SIZE    (512)              /* 单条消息大小: 512 --> 0x200 */

typedef struct OSP_MSG_QUEUE_STRUCT
{
    sem_t *sem;         /* 互斥用 */
    uint16_t que_id;    /* 消息队列编号 */
    uint16_t de_idx;    /* 出队index */
    uint16_t dep;       /* 队深 */
    uint16_t mask;      /* 用来循环 */
}osp_msg_que;

extern int8_t osp_msg_que_init(uint8_t ape_id);
extern int osp_msg_que_deque(uint32_t *pvalue);

#endif

