#ifndef __OSP_TYPE_DEF_H__
#define __OSP_TYPE_DEF_H__

#include "ucp_utility.h"

extern int g_ape_id;

typedef unsigned int        UINTPTR;
typedef void                sem_t;

#define STRCPY              strcpy

#define OSP_NELEMENTS(x)    ((sizeof(x)/sizeof((x)[0])))

#define OS_ENTER_CRITICAL()   smart_int_disable()
#define OS_EXIT_CRITICAL()    smart_int_enable()

#define OSP_DEBUG_TEST

#define OSP_DEBUG_POT(ape_id, idx)      (DBG_DDR_IDX_OSP_BASE + (ape_id*240) + idx)
#define OSP2_DEBUG_POT(ape_id, idx)     (DBG_DDR_IDX_OSP2_BASE + (ape_id*1024) + idx)

#endif /* __OSP_TYPE_DEF_H__ */

